CREATE PROCEDURE [dbo].[CP_Clientes_Temp_Aprobar] 
@Id_Cliente_Temp INT
AS
/*Declaracion Variables Locales*/

DECLARE @Id_Unid_Negocio	VARCHAR(10)
DECLARE @Id_Cliente			INT
DECLARE @Categoria			INT
DECLARE @Nota_Part1			VARCHAR(10)
DECLARE @Direccion			VARCHAR(100)
DECLARE @Nro				INT
DECLARE @Piso				VARCHAR(10)
DECLARE	@Depto				VARCHAR(10)
DECLARE @DireccionTotal		VARCHAR(100)
DECLARE @Observacion		VARCHAR(100)
DECLARE @Razon_Social		VARCHAR(100)
DECLARE @Id_Concepto		INT
DECLARE @Id_Alias_Cta_Cont_Venta	SMALLINT
DECLARE @Mensaje			VARCHAR(100)
DECLARE @Lote				VARCHAR(100)

/*Fin de Declaraciones Variables Locales */


BEGIN TRY
	BEGIN TRAN


	/*Insert: Clientes_Temp*/
	SET @Id_Alias_Cta_Cont_Venta =393
	SET @Id_Concepto	=83
	SET @Observacion	=CONVERT(VARCHAR (10), @Id_Cliente_Temp)
	SET @Id_Unid_Negocio= 'CLUB'
	SET @Id_Cliente =	(SELECT (MAX(ID_CLIENTE)+1) FROM Clientes)
	SET @Nro =			(Select Nro			from Clientes_Temp where Id_Cliente_Temp=@Id_Cliente_Temp)
	SET @Depto =		(Select Depto		from Clientes_Temp where Id_Cliente_Temp=@Id_Cliente_Temp)
	SET @Direccion =	(Select Direccion	from Clientes_Temp where Id_Cliente_Temp=@Id_Cliente_Temp)
	SET @Razon_Social =	(Select Razon_Social	from Clientes_Temp where Id_Cliente_Temp=@Id_Cliente_Temp)
	SET @DireccionTotal =	@Direccion+ ' ' + CONVERT(VARCHAR (10),@Nro) + ' Piso '  + ' Depto ' + @Depto

	/*INICIO Insert: Clientes*/

	INSERT INTO Clientes	(Id_Cliente,	Activo,		Razon_Social,		Apellido,		
							Nombre,			Sexo,		Estado_Civil,		Fecha_Nac,		Id_Tipo_Doc, 
							Doc_Nro,		Direccion, 	Cp,					Id_Pais,		Id_Provincia,
							Provincia_Descrip, Id_Localidad, Localidad_Descrip,	Id_Nacionalidad, Email, 
							telefono,		Tel_Movil,	Id_estado_cliente,	Id_Lista_Precio,Id_Cond_Pago, 
							Id_Iva,			Id_Concepto, Id_Alias_Cta_Cont_Venta,				Mercado,		Id_Tipo_Cli, 
							Id_Pais_Cob,	Fecha_Alta, Tipo_Persona,		Id_Unid_Negocio, Observacion)
				select		@Id_Cliente,		1,		Razon_Social,		Apellido,		
							Nombre,			Sexo,		Estado_Civil,		Fecha_Nac,		Id_Tipo_Doc, 
							Doc_Nro,		@DireccionTotal, Cp,			Id_Pais,		Id_Provincia,
							Provincia_Descrip, Id_Localidad, Localidad_Descrip, Id_Nacionalidad, Email, 
							telefono,		Tel_Movil,	0,					1,				10,				
							'CF',			@Id_Concepto,@Id_Alias_Cta_Cont_Venta,				'A',			Id_Tipo_Cli,	
							Id_Pais,		GETDATE(),	'F',				@Id_Unid_Negocio, @Observacion
							from  Clientes_Temp WHERE id_cliente_temp=@Id_Cliente_Temp
	
	/*FIN Insert: Clientes*/


	/*INICIO	UPDATE:		Clientes_Temp*/
	UPDATE Clientes_Temp SET Id_Cliente = @Id_Cliente WHERE id_cliente_temp=@Id_Cliente_Temp
	/*FIN		UPDATE:		Clientes_Temp*/



	SET @Lote = (SELECT Nro_Trans_Pago FROM Clientes_Temp WHERE id_cliente_temp=@Id_Cliente_Temp)



	COMMIT

	EXEC CP_Clientes_Temp_Actualizar_Cbte @Lote, @Id_Cliente

	SELECT	 0			AS ErrorNumber 
			,0			AS ErrorSeverity  
			,0			AS ErrorState 
			,0			AS ErrorProcedure  
			,0			AS ErrorLine		
			,@Mensaje	AS ErrorMessage

END TRY  


BEGIN CATCH  
    EXECUTE usp_GetErrorInfo;  
	ROLLBACK
END CATCH;   
